Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members Related Pages

# GestureGraph Class Reference

Represents a gesture graph consisting of <GGNode *>'s. More...

`#include <GestureGraph.h>`

Inheritance diagram for GestureGraph:

List of all members.

## Public Methods
void | BuildNodeHistograms ()
| Populates the histograms of every node.
virtual DAG & | operator= (const DAG &rhs)
| Extends the behaviour of the same function in the base class.
virtual void | Clear ()
| It sets to zero all the DAG's member variables.
virtual double | NodeDistance (leda_node g1Node, const DAG &g2, leda_node g2Node) const
virtual bool | AreNodesRelated (leda_node g1Node, const DAG &g2, leda_node g2Node) const
virtual DAG * | CreateObject () const
| Creates a new shock graph object.
virtual DAGNodePtr | CreateNodeObject (NODE_LABEL lbl) const
| Creates a new gesture graph node object.
virtual DAGNodePtr | ReadNode (istream &is) const
virtual String | ClassName () const
| Returns the classs name.
virtual int | NodeType (leda_node v) const
virtual istream & | Read (istream &is, bool bOnlyDataForMatching=false)
| Extends the behaviour of the same function in the base class.
virtual ostream & | Write (ostream &os) const
| Extends the behaviour of the same function in the base class.
virtual void | Print (ostream &os=cout) const
| Extends the behaviour of the same function in the base class.

## Detailed Description

Represents a gesture graph consisting of <GGNode *>'s.

See also:
  DAG, DAGNode, GGNode.

Definition at line 52 of file GestureGraph.h.

## Member Function Documentation

bool GestureGraph::AreNodesRelated | ( | leda_node | u,
|  | const DAG & | from,
|  | leda_node | v
| ) | const`[virtual]`

| Relation function for two Shock Graph nodes. For now, all nodes of the same type are related. Implements DAG. Definition at line 295 of file GestureGraph.cpp.

void GestureGraph::BuildNodeHistograms | ( |  | ) |

| Populates the histograms of every node. It is assumed that the Scale and EuclideanDistance matrices have been computed. Definition at line 195 of file GestureGraph.cpp. References DAGNode::GetDFSIndex(), and GGNode::m_dScale.

DAGNodePtr GestureGraph::ReadNode | ( | istream & | is | ) | const`[virtual]`

| Creates a new GGNode and fill its contents with the current information in the stream. Implements DAG. Definition at line 320 of file GestureGraph.cpp.

The documentation for this class was generated from the following files:

- GestureGraph.h
- GestureGraph.cpp